# Uses of Class
org.eclipse.birt.report.model.api.metadata.UserChoice

Packages that use UserChoice
Package
Description
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.

## Uses of UserChoice in org.eclipse.birt.report.model.api.core

Methods in org.eclipse.birt.report.model.api.core with parameters of type UserChoice
Modifier and Type
Method
Description
`void`
UserPropertyDefn.`setChoices(UserChoice[] choiceArray)`
Sets the (anonymous) set of choices for a property.

## Uses of UserChoice in org.eclipse.birt.report.model.api.metadata

Methods in org.eclipse.birt.report.model.api.metadata that return UserChoice
Modifier and Type
Method
Description
`UserChoice`
IChoiceSet.`findUserChoiceByDisplayName(org.eclipse.birt.report.model.core.Module module, String name)`
Finds a UserChoice in the `IChoiceSet` for its display name.